<ion-content class="ion-padding">
  <ion-card class="background-theme">
    <form [formGroup]="userForm" (ngSubmit)="save()" novalidate>
      <ion-card-header *ngIf="user.id != null" color="primary" translate>{{
        "EDITAR USUARIO"
      }}</ion-card-header>
      <ion-card-header *ngIf="user.id == null" color="primary" translate>{{
        "AGREGAR UN USUARIO"
      }}</ion-card-header>
      <ion-card-content>
        <ion-list no-line>
          <ion-item>
            <ion-label floating>
              <span class="input-group-addon">{{ "APELLIDO" }}:</span>
            </ion-label>
            <ion-input
              class="form-control"
              type="text"
              formControlName="last_name"
              clearInput
            ></ion-input>
          </ion-item>
          <div class="validation-errors">
            <ng-container
              *ngFor="let validation of validation_messages.last_name"
            >
              <div
                class="error-message"
                *ngIf="
                  userForm.get('last_name').hasError(validation.type) &&
                  (userForm.get('last_name').dirty ||
                    userForm.get('last_name').touched)
                "
              >
                {{ validation.message }}
              </div>
            </ng-container>
          </div>
          <ion-item>
            <ion-label floating>
              <span class="input-group-addon">{{ "NOMBRE" }}:</span>
            </ion-label>
            <ion-input
              class="form-control"
              type="text"
              formControlName="first_name"
              clearInput
            ></ion-input>
          </ion-item>
          <div class="validation-errors">
            <ng-container
              *ngFor="let validation of validation_messages.first_name"
            >
              <div
                class="error-message"
                *ngIf="
                  userForm.get('first_name').hasError(validation.type) &&
                  (userForm.get('first_name').dirty ||
                    userForm.get('first_name').touched)
                "
              >
                {{ validation.message }}
              </div>
            </ng-container>
          </div>
          <!-- <ion-item>
                <ion-label floating>
                  <span class="input-group-addon">DNI: </span>
                  <span class="danger">(*)</span>
                </ion-label>
                <ion-input class="form-control" type="number" formControlName="dni" clearInput></ion-input>
              </ion-item>
              <div class="validation-errors">
                <ng-container *ngFor="let validation of validation_messages.dni">
                  <div class="error-message" *ngIf="userForm.get('dni').hasError(validation.type) && (userForm.get('dni').dirty || userForm.get('dni').touched)">
                    {{ validation.message }}
                  </div>
                </ng-container>
              </div> -->
          <ion-item>
            <ion-label floating>
              <span class="input-group-addon">{{ "CONTRASEÑA" }}:</span>
            </ion-label>
            <ion-input
              class="form-control"
              type="password"
              formControlName="password"
              clearInput
            ></ion-input>
          </ion-item>
          <div class="validation-errors">
            <ng-container
              *ngFor="let validation of validation_messages.password"
            >
              <div
                class="error-message"
                *ngIf="
                  userForm.get('password').hasError(validation.type) &&
                  (userForm.get('password').dirty ||
                    userForm.get('password').touched)
                "
              >
                {{ validation.message }}
              </div>
            </ng-container>
          </div>
          <ion-item>
            <ion-label floating>
              <span class="input-group-addon">{{ "GRUPO" }}:</span>
            </ion-label>
            <ion-select
              class="form-control"
              formControlName="sys_group_id"
              (change)="setGroup(selectedGroup)"
            >
              <ion-select-option
                *ngFor="let group of groups"
                [value]="group.id"
                [selected]="group.id == inputGroup ? true : null"
                >{{ group.name }}</ion-select-option
              >
            </ion-select>
          </ion-item>
          <ion-item>
            <ion-label floating>
              <span class="input-group-addon">{{ "EMAIL" }}:</span>
            </ion-label>
            <ion-input
              class="form-control"
              type="text"
              formControlName="email"
              clearInput
            ></ion-input>
          </ion-item>
          <div class="validation-errors">
            <ng-container *ngFor="let validation of validation_messages.email">
              <div
                class="error-message"
                *ngIf="
                  userForm.get('email').hasError(validation.type) &&
                  (userForm.get('email').dirty || userForm.get('email').touched)
                "
              >
                {{ validation.message }}
              </div>
            </ng-container>
          </div>
          <ion-item>
            <ion-label floating>
              <span class="input-group-addon">{{ "TELEFONO" }}: </span>
            </ion-label>
            <ion-input
              class="form-control"
              type="number"
              formControlName="phone"
              clearInput
            ></ion-input>
          </ion-item>
        </ion-list>
      </ion-card-content>
      <ion-card-content class="ion-content-right ion-float-right">
        <ion-button (click)="cancel()" shape="round" fill="outline">
          {{ "CANCELAR" }}
        </ion-button>
        <ion-button type="submit" shape="round" fill="outline">
          {{ "GUARDAR" }}
        </ion-button>
      </ion-card-content>
    </form>
  </ion-card>
  <ion-fab bottom right>
    <!-- <button ion-fab mini color="primary" (click)="scrollToTop()">
          <ion-icon name="arrow-up"></ion-icon>
        </button> -->
  </ion-fab>
</ion-content>
